1. An AnnotationConfiguration instance is required to use
    required “AnnotationConfiguration” instead of normal “Configuration()” to build the session factory
    
2. java.lang.NoClassDefFoundError: org/hibernate/annotations/common/reflection/ReflectionManager

    